graphView.annotations

## Class XYDomainValueAnnotation

- java.lang.Object
- - org.jfree.chart.annotations.AbstractAnnotation
  - - graphView.annotations.AxisAnnotation
    - - graphView.annotations.ValueAnnotation
      - - graphView.annotations.XYDomainValueAnnotation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.chart.annotations.Annotation, org.jfree.chart.annotations.XYAnnotation

    public class XYDomainValueAnnotation
    extends ValueAnnotation
    implements org.jfree.chart.annotations.XYAnnotation

The Class XYDomainValueAnnotation.

Author:
  peter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XYDomainValueAnnotation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `draw(java.awt.Graphics2D g2, org.jfree.chart.plot.XYPlot plot, java.awt.geom.Rectangle2D dataArea, org.jfree.chart.axis.ValueAxis domainAxis, org.jfree.chart.axis.ValueAxis rangeAxis, int rendererIndex, org.jfree.chart.plot.PlotRenderingInfo info)` Draws the annotation.

### Methods inherited from class graphView.annotations.ValueAnnotation

`getValue, setValue`

### Methods inherited from class graphView.annotations.AxisAnnotation

`equals, getLabel, getLabelAnchor, getLabelAngle, getLabelBackgroundPaint, getLabelFont, getLabelOffset, getLabelOffsetType, getLabelPaint, getLabelTextAnchor, getOutlinePaint, getOutlineStroke, getPaint, getRotationAnchor, getStroke, getToolTipText, getURL, hashCode, isLabelBackgroundVisible, isLabelClippingAllowed, isLabelVisible, setLabel, setLabelAnchor, setLabelAngle, setLabelBackgroundPaint, setLabelBackgroundVisible, setLabelClippingAllowed, setLabelFont, setLabelOffset, setLabelOffsetTyte, setLabelPaint, setLabelTextAnchor, setLabelVisible, setOutlinePaint, setOutlineStroke, setPaint, setRotationAnchor, setStroke, setToolTipText, setURL`

### Methods inherited from class org.jfree.chart.annotations.AbstractAnnotation

`addChangeListener, clone, getNotify, hasListener, removeChangeListener, setNotify`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.chart.annotations.Annotation

`addChangeListener, removeChangeListener`

### Constructor Detail

#### XYDomainValueAnnotation

    public XYDomainValueAnnotation()

### Method Detail

#### draw

    public void draw(java.awt.Graphics2D g2,
                     org.jfree.chart.plot.XYPlot plot,
                     java.awt.geom.Rectangle2D dataArea,
                     org.jfree.chart.axis.ValueAxis domainAxis,
                     org.jfree.chart.axis.ValueAxis rangeAxis,
                     int rendererIndex,
                     org.jfree.chart.plot.PlotRenderingInfo info)

Draws the annotation.

Specified by:
  `draw` in interface `org.jfree.chart.annotations.XYAnnotation`
Parameters:
  `g2` - the graphics device.
  `plot` - the plot.
  `dataArea` - the data area.
  `domainAxis` - the domain axis.
  `rangeAxis` - the range axis.
  `rendererIndex` - the renderer index.
  `info` - an optional info object that will be populated with entity information.